SoFont(3IV)

NAME
SoFont — node that defines font type and size for text

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoFont

SYNOPSIS
#include <Inventor/nodes/SoFont.h>

Fields from class SoFont:

SoSFName
name
SoSFFloat
size

Methods from class SoFont:

SoFont()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines the current font type and point size for all subsequent text shapes in the scene graph. Fonts are specified with PostScript names, except for the default font. The default font is called "defaultFont" and is the standard SGI graphics font for 2D text. "Utopia" is the standard Inventor font for 3D text.

FIELDS
SoSFName
name
This field defines the font name as a PostScript name. For example, Times Roman would be specified as Times-Roman. Multiple fonts can be specified by separating the font names with semicolons. When multiple fonts are specified, the first font in the list that contains a given character is used to render that character.

SoSFFloat
size
This field defines the font size. The value is in points for 2D text and is in the current units for 3D text.

METHODS

SoFont()
Creates a font node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Sets the font name and size in the current traversal state.

FILE FORMAT/DEFAULTS
Font {
name	"defaultFont"
size	10
}

SEE ALSO
SoText2, SoText3